AZT Time Now
AZT is the abbreviation of Azerbaijan Time. Time zone offset of AZT is UTC+04. Azerbaijan Time is 4 hours ahead from the UTC universal time. AZT current date is 13th Friday November 2026. Current time in AZT (AZT).
AZT Time
15:48:19
13 November 2026 Friday
AZT is the short form of Azerbaijan Time, which has been used in a small country of Azerbaijan, located near the Caspian Sea, including the cities like Baku, Sumgait, and others. Traditional Azerbaijan Time is 4 hours ahead of the UTC universal time, and starting from summer 2016, summer daylight saving time is used there, which is 5 hours ahead of UTC time standard.
What time is it in Azerbaijan Time now? It is 15:48:19 right now.
Azerbaijan Time Date and Time Now in Various Formats
| Date Time Format | AZT Date Time Now |
|---|---|
| UTC | 2026-11-13T11:48:19Z |
| ISO-8601 | 2026-11-13T15:48:19+0400 |
| RFC 2822 | Fri, 13 Nov 2026 15:48:19 +0400 |
| RFC 850 | Friday, 13-Nov-26 15:48:19 AZT |
| RFC 1036 | Fri, 13 Nov 26 15:48:19 +0400 |
| RFC 1123 | Fri, 13 Nov 2026 15:48:19 +0400 |
| RFC 822 | Fri, 13 Nov 26 15:48:19 +0400 |
| RFC 3339 | 2026-11-13T15:48:19+04:00 |
| ATOM | 2026-11-13T15:48:19+04:00 |
| COOKIE | Friday, 13-Nov-2026 15:48:19 AZT |
| RSS | Fri, 13 Nov 2026 15:48:19 +0400 |
| W3C | 2026-11-13T15:48:19+04:00 |
| Unix Epoch | 1794570499 |
| YYYY-DD-MM HH:MM:SS | 2026-13-11 15:48:19 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-13-11 03:48:19 PM |
| DD-MM-YYYY HH:MM:SS | 13-11-2026 15:48:19 |
| MM-DD-YYYY HH:MM:SS | 11-13-2026 15:48:19 |